Apache JMeter

## org.apache.jmeter.visualizers
Class XMLDefaultMutableTreeNode

    java.lang.Object
      javax.swing.tree.DefaultMutableTreeNode
          org.apache.jmeter.visualizers.XMLDefaultMutableTreeNode

All Implemented Interfaces:
  Serializable, Cloneable, MutableTreeNode, TreeNode

    public class XMLDefaultMutableTreeNode

extends DefaultMutableTreeNode

A extended class of DefaultMutableTreeNode except that it also attached XML node and convert XML document into DefaultMutableTreeNode.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`XMLDefaultMutableTreeNode()` Deprecated. only for use by test code
`XMLDefaultMutableTreeNode(Node root)`
`XMLDefaultMutableTreeNode(String name, Node xmlNode)`

Method Summary
`Node` `getXMLNode()` get the xml node

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode

`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLDefaultMutableTreeNode

    @Deprecated
    public XMLDefaultMutableTreeNode()

  Deprecated. only for use by test code

### XMLDefaultMutableTreeNode

    public XMLDefaultMutableTreeNode(Node root)
                              throws SAXException

Throws:
  `SAXException`

### XMLDefaultMutableTreeNode

    public XMLDefaultMutableTreeNode(String name,
                                     Node xmlNode)

Method Detail

### getXMLNode

    public Node getXMLNode()

  get the xml node

  Returns:
    the XML node

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.